%define upstream_name    Alien-cmake3
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Find or download or build cmake 3 or better
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
# This is an Alien::Build plugin, it stores data about architecture specific
# files, therefore this an architecture specific package, yet there is no XS
# code, so debuginfo generation and dependency on perl-devel is disabled.
%global debug_package %{nil}

BuildRequires: perl(Alien::Base) >= 0.920.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::Which)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(Test::Alien) >= 0.920.0
BuildRequires: cmake
Requires:   cmake
%description
This the Alien manpage distribution provides an external dependency on the
build tool 'cmake' version 3.0.0 or better. 'cmake' is a popular
alternative to autoconf.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Sat Apr 12 2025 tv <tv> 0.90.0-1.mga10
+ Revision: 2174862
- update to 0.09

* Thu Aug 04 2022 tv <tv> 0.80.0-3.mga9
+ Revision: 1875073
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.80.0-2.mga9
+ Revision: 1796398
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 0.80.0-1.mga9
+ Revision: 1736364
- update to 0.08

* Tue Jun 01 2021 tv <tv> 0.60.0-1.mga9
+ Revision: 1729156
- update to 0.06

* Sat Feb 29 2020 tv <tv> 0.50.0-3.mga8
+ Revision: 1552340
- cannot be noarch as vendorarch is %%_libdir

* Fri Feb 21 2020 umeabot <umeabot> 0.50.0-2.mga8
+ Revision: 1547833
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.50.0-1.mga8
+ Revision: 1488468
- cpan2dist

